org.apache.log4j.chainsaw.prefs

## Class SaveSettingsEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.log4j.chainsaw.prefs.SaveSettingsEvent

- All Implemented Interfaces:
    Serializable

      public class SaveSettingsEvent
      extends EventObject

  Author:
    Paul Smith <psmith@apache.org>
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getSettingsLocation()`
    `void` | `saveSetting(String string, boolean b)`
    `void` | `saveSetting(String key, double value)`
    `void` | `saveSetting(String key, int value)`
    `void` | `saveSetting(String key, Object value)`
    `void` | `saveSetting(String key, String value)`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### saveSetting

          public void saveSetting(String key,
                                  int value)

    - #### saveSetting

          public void saveSetting(String key,
                                  double value)

    - #### saveSetting

          public void saveSetting(String key,
                                  Object value)

    - #### saveSetting

          public void saveSetting(String key,
                                  String value)

    - #### saveSetting

          public void saveSetting(String string,
                                  boolean b)

      Parameters:
        `string` -
        `b` -

    - #### getSettingsLocation

          public File getSettingsLocation()

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.